- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CPUNumber Class Reference

the CPUNumber class. More...

`#include <OSGeneral.h>`

Collaboration diagram for CPUNumber:

[legend]
List of all members.

## Public Member Functions
| CPUNumber ()
| Default constructor.
| ~CPUNumber ()
| Class destructor.
bool | IsEqual (CPUNumber *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
std::string | description
| additional description about the CPU
int | value
| the number of CPUs

## Detailed Description

the CPUNumber class.

Author:
  Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSgL schema.

Definition at line 756 of file OSGeneral.h.

## Constructor & Destructor Documentation

CPUNumber::CPUNumber | ( |  | ) |

Default constructor.

Definition at line 1138 of file OSGeneral.cpp.

CPUNumber::~CPUNumber | ( |  | ) |

Class destructor.

Definition at line 1144 of file OSGeneral.cpp.

## Member Function Documentation

bool CPUNumber::IsEqual | ( | CPUNumber * | that | ) |

A function to check for the equality of two objects.

Definition at line 1151 of file OSGeneral.cpp.

References description, and value.

bool CPUNumber::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" attributes and <XXX> children)

Definition at line 1187 of file OSGeneral.cpp.

References description, OSRand(), and value.

Referenced by SystemOption::setRandom().

## Member Data Documentation

std::string CPUNumber::description

additional description about the CPU

Definition at line 760 of file OSGeneral.h.

Referenced by OSOption::getMinCPUNumberDescription(), IsEqual(), OSResult::setAvailableCPUNumberDescription(), OSOption::setMinCPUNumber(), setRandom(), OSResult::setUsedCPUNumberDescription(), and OSrLWriter::writeOSrL().

int CPUNumber::value

the number of CPUs

Definition at line 763 of file OSGeneral.h.

Referenced by OSOption::getMinCPUNumber(), IsEqual(), OSResult::setAvailableCPUNumberValue(), OSOption::setMinCPUNumber(), setRandom(), OSResult::setUsedCPUNumberValue(), and OSrLWriter::writeOSrL().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.cpp